Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512721 - SUI: VM Utilization data disappears after navigating away from page
Summary: SUI: VM Utilization data disappears after navigating away from page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Allen W
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks: 1513495
TreeView+ depends on / blocked
 
Reported: 2017-11-13 23:09 UTC by Nandini Chandra
Modified: 2018-06-21 20:57 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1513495 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:57:55 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screen shot of VM Utilization doughnut chart on SUI (deleted)
2017-11-13 23:12 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2017-11-13 23:09:15 UTC
Description of problem:
-----------------------
I ran into this issue while verifying https://bugzilla.redhat.com/show_bug.cgi?id=1497733.

I provisioned a service with a few VMs. On the SUI, CPU, Memory, and Storage Utilization do get displayed for the individual VMs, but when I navigate away from the page and then navigate back to the page, all the Utilization data was gone.


Version-Release number of selected component (if applicable):
-------------------------------------
5.9.0.8


How reproducible:
----------------
Always


Steps to Reproduce:
--------------------
1.Manage a provider
2.Provision a service with VMs.
3.Enable C&U collection for the provider.


Actual results:
---------------
VM Utilization data disappears after after navigating away from page.


Expected results:
-----------------
VM Utilization data should always be displayed so long as C&U data for the VM is available in the metric_rollups table.


Additional info:
----------------

Comment 2 Nandini Chandra 2017-11-13 23:10:34 UTC
I have been discussing this issue with Allen Wight.

Comment 3 Allen W 2017-11-13 23:11:30 UTC
Nandini, thanks for spotting this!  I'll have a fix for yah in a jiffy.

Comment 4 Nandini Chandra 2017-11-13 23:12:39 UTC
Created attachment 1351728 [details]
screen shot of VM Utilization doughnut chart on SUI

Comment 5 Allen W 2017-11-13 23:15:24 UTC
https://10.8.197.182/ is the appliance we're working from (for posterity and just in case I forget)

Comment 6 Allen W 2017-11-14 00:37:59 UTC
https://github.com/ManageIQ/manageiq-ui-service/pull/1237

almost ready to merge this, wanta do a lil more work to ensure graceful breaking of the things

Comment 7 Allen W 2017-11-14 03:11:36 UTC
It's in!  Thanks again for the great find Nandini :-) <3


Note You need to log in before you can comment on or make changes to this bug.